/*
 * Class SED_BINARY_READER_WRITER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_40 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_40 [] = {0xFF01,237,39,0xFFFF};
static const EIF_TYPE_INDEX egt_2_40 [] = {0xFF01,39,0xFFFF};
static const EIF_TYPE_INDEX egt_3_40 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_40 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_40 [] = {0xFF01,39,0xFFFF};
static const EIF_TYPE_INDEX egt_6_40 [] = {0xFF01,39,0xFFFF};
static const EIF_TYPE_INDEX egt_7_40 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_40 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_40 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_40 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_40 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_40 [] = {0xFF01,39,0xFFFF};
static const EIF_TYPE_INDEX egt_13_40 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_40 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_40 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_16_40 [] = {0xFF01,229,0xFFFF};
static const EIF_TYPE_INDEX egt_17_40 [] = {0xFF01,151,0xFFFF};


static const struct desc_info desc_40[] = {
	{EIF_GENERIC(NULL), 1006, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_40), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_40), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_40), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_40), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_40), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_40), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_40), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_40), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_40), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_40), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_40), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_40), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x4F /*39*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_40), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 988, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 966, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 976, 8},
	{EIF_GENERIC(NULL), 977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 979, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_40), 980, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_40), 981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_40), 982, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_40), 983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 1013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 1016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 1017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 1019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 1020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 967, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 994, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 996, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 998, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1009, 9},
	{EIF_GENERIC(NULL), 1010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_40), 999, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 1000, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 1001, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 1002, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 1003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1004, 10},
	{EIF_NON_GENERIC(0x019D /*206*/), 1005, 20},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init40(void)
{
	IDSC(desc_40, 0, 39);
	IDSC(desc_40 + 1, 1, 39);
	IDSC(desc_40 + 32, 67, 39);
	IDSC(desc_40 + 80, 269, 39);
}


#ifdef __cplusplus
}
#endif
